Subject: Anvils

From: [email-masked]
Date: Mon, 24 Jun 1996 11:03:13 CST

Anvil alert!

What is a Mouse Hole anvil's value? Two such anvils have come to my attention. 
One is a 1-2-6 which I believe is 174 lbs (112+(2*28)+6=174). The bears the 
trademark Mouse Hole stubby horn. The top is uneven enough to discourage a 
knife maker, but not terribly so. Most corners are radiused, and the table is 
normal. The owner is firm on $300.

The other Mouse Hole is a 1-0-26 at 138 lbs. The top on this one is flat with 
one edge near the table rounded. The owner is negotiating at $275.

I understand these are solid wrought iron, and certainly a part of early 
industrial history; Mouse Hole being the first commercial anvil producer 
beginning in or near 1650. What are they worth?

Thanks
Vance
PS I posted this once previously but saw no echo on the list.